Skip to main content
`Ctrl`+`K`

# EPSSetPurify

Disable eigenvector purification (which is enabled by default).

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSSetPurify(EPS eps,PetscBool purify)

Logically Collective

## Input Parameters

- eps - the linear eigensolver context

- purify - whether purification is done or not, use `PETSC_FALSE` to disable it

## Options Database Key

- -eps_purify - toggles the purification flag

## Notes

By default, eigenvectors of generalized symmetric eigenproblems are purified in order to purge directions in the nullspace of matrix \(B\). If the user knows that \(B\) is non-singular, then purification can be safely deactivated and some computational cost is avoided (this is particularly important in interval computations).

More details are given in section Purification of Eigenvectors.

## See Also

EPS: Eigenvalue Problem Solver, Purification of Eigenvectors, `EPSGetPurify()`, `EPSSetInterval()`

## Level

intermediate

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages